### Method

# Qmi Device set_instance_id

since: 1.0

#### Declaration [src]

    void
    qmi_device_set_instance_id (
      QmiDevice* self,
      guint8 instance_id,
      guint timeout,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Sets the instance ID of the `QmiDevice`.

When the operation is finished `callback` will be called. You can then call `qmi_device_set_instance_id_finish()` to get the result of the operation.

Available since: 1.0

This method completes asynchronously. Use `qmi_device_set_instance_id_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`instance_id`

  Type: `guint8`

  The instance ID.

`timeout`

  Type: `guint`

  Maximum time to wait.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, `NULL` to ignore.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the operation is finished.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  The data to pass to callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.